

import json
import logging
from django.contrib import auth
from django.contrib.auth import logout
from django.contrib.auth.decorators import login_required
from django.http import HttpResponseRedirect
from django.contrib.auth import get_user_model
from django.shortcuts import render_to_response
from django.template import RequestContext
from django.template.context_processors import csrf

@login_required
def homepage(request):

    username = request.user.username
    t = HttpResponseRedirect('/admin/')
    t.set_cookie('username', username, 864000)
    return t


def mylogin(request):
    alert_msg= 0
    if request.method =='GET':
        cookies_username = request.COOKIES.get('username','')
        c = csrf(request)
        c.update({'alert_msg':alert_msg,'cookies_username:':cookies_username})
        return render_to_response('login.html', c)
    else:
        postdata = request.POST
        username = postdata.get('username','')
        password = postdata.get('password','')
        user = auth.authenticate(username=username, password=password)
        if user:
            auth.login(request, user)
            t = HttpResponseRedirect('/admin/')
            t.set_cookie('username', username, 864000)
            return t


def mylogout(request):
    logout(request)
    return HttpResponseRedirect("/login/")